Index: /inundation/ga/storm_surge/pyvolution/test_quantity.py
===================================================================
--- /inundation/ga/storm_surge/pyvolution/test_quantity.py	(revision 1017)
+++ /inundation/ga/storm_surge/pyvolution/test_quantity.py	(revision 1018)
@@ -9,9 +9,9 @@
 from Numeric import allclose, array, ones, Float
 
-        
-class TestCase(unittest.TestCase):
+
+class Test_Quantity(unittest.TestCase):
     def setUp(self):
         from domain import Domain
-        
+
         a = [0.0, 0.0]
         b = [0.0, 2.0]
@@ -26,10 +26,10 @@
         elements = [ [1,0,2], [1,2,4], [4,2,5], [3,1,4] ]
 
-        self.mesh1 = Domain(points[:3], [elements[0]])        
+        self.mesh1 = Domain(points[:3], [elements[0]])
         self.mesh1.check_integrity()
-        
-        self.mesh4 = Domain(points, elements)        
+
+        self.mesh4 = Domain(points, elements)
         self.mesh4.check_integrity()
-        
+
     def tearDown(self):
         pass
@@ -38,5 +38,5 @@
 
     def test_creation(self):
-        
+
         quantity = Quantity(self.mesh1, [[1,2,3]])
         assert allclose(quantity.vertex_values, [[1.,2.,3.]])
@@ -55,9 +55,9 @@
             pass
         except:
-            raise 'Should have raised "mising mesh object" error'        
-        
+            raise 'Should have raised "mising mesh object" error'
+
 
     def test_creation_zeros(self):
-       
+
         quantity = Quantity(self.mesh1)
         assert allclose(quantity.vertex_values, [[0.,0.,0.]])
@@ -66,12 +66,12 @@
         quantity = Quantity(self.mesh4)
         assert allclose(quantity.vertex_values, [[0.,0.,0.], [0.,0.,0.],
-                                                 [0.,0.,0.], [0.,0.,0.]])        
-
-        
+                                                 [0.,0.,0.], [0.,0.,0.]])
+
+
     def test_interpolation(self):
         quantity = Quantity(self.mesh1, [[1,2,3]])
         assert allclose(quantity.centroid_values, [2.0]) #Centroid
 
-        assert allclose(quantity.edge_values, [[2.5, 2.0, 1.5]]) 
+        assert allclose(quantity.edge_values, [[2.5, 2.0, 1.5]])
 
 
@@ -88,6 +88,6 @@
                                                [7.5, 0.5, 1.],
                                                [-5, -2.5, 7.5]])
-        
-        #print quantity.edge_values        
+
+        #print quantity.edge_values
         assert allclose(quantity.edge_values, [[2.5, 2.0, 1.5],
                                                [5., 5., 5.],
@@ -120,5 +120,5 @@
         quantity.set_values([[1,2,3], [5,5,5], [0,0,9], [-6, 3, 3]])
         assert allclose(quantity.vertex_values,
-                        [[1,2,3], [5,5,5], [0,0,9], [-6, 3, 3]])        
+                        [[1,2,3], [5,5,5], [0,0,9], [-6, 3, 3]])
         assert allclose(quantity.centroid_values, [2., 5., 3., 0.]) #Centroid
         assert allclose(quantity.edge_values, [[2.5, 2.0, 1.5],
@@ -135,5 +135,5 @@
                             location = 'edges')
         assert allclose(quantity.edge_values,
-                        [[1,2,3], [5,5,5], [0,0,9], [-6, 3, 3]])        
+                        [[1,2,3], [5,5,5], [0,0,9], [-6, 3, 3]])
 
         #Test exceptions
@@ -174,5 +174,5 @@
                                                [3, 3, 3],
                                                [3, 3, 3],
-                                               [3, 3, 3]])        
+                                               [3, 3, 3]])
 
 
@@ -186,11 +186,11 @@
         #print "quantity.vertex_values",quantity.vertex_values
         assert allclose(quantity.vertex_values,
-                        [[2,0,2], [2,2,4], [4,2,4], [4,2,4]])        
+                        [[2,0,2], [2,2,4], [4,2,4], [4,2,4]])
         assert allclose(quantity.centroid_values,
                         [4.0/3, 8.0/3, 10.0/3, 10.0/3])
         assert allclose(quantity.edge_values,
-                        [[1,2,1], [3,3,2], [3,4,3], [3,4,3]])                
-
-        
+                        [[1,2,1], [3,3,2], [3,4,3], [3,4,3]])
+
+
         quantity.set_values(f, location = 'centroids')
         assert allclose(quantity.centroid_values,
@@ -201,12 +201,12 @@
         quantity = Quantity(self.mesh4)
 
-	#Try constants first	
+	#Try constants first
 	const = 5
-        quantity.set_values(const, location = 'vertices')	
+        quantity.set_values(const, location = 'vertices')
 	#print 'Q', quantity.get_integral()
-		
-	assert allclose(quantity.get_integral(), 
+
+	assert allclose(quantity.get_integral(),
 			self.mesh4.get_area() * const)
-	
+
 	#Try with a linear function
         def f(x, y):
@@ -214,9 +214,9 @@
 
         quantity.set_values(f, location = 'vertices')
-	
-	
+
+
 	ref_integral = (4.0/3 + 8.0/3 + 10.0/3 + 10.0/3) * 2
-        
-	assert allclose (quantity.get_integral(), ref_integral)	
+
+	assert allclose (quantity.get_integral(), ref_integral)
 
 
@@ -256,5 +256,5 @@
         #Centroid
         assert allclose(quantity.centroid_values, [1., 7./3, 11./3, 8./3])
-        
+
         assert allclose(quantity.edge_values, [[1., 1.5, 0.5],
                                                [3., 2.5, 1.5],
@@ -268,5 +268,5 @@
         quantity = Conserved_quantity(self.mesh4)
 
-        #Set up for a gradient of (3,0) at mid triangle 
+        #Set up for a gradient of (3,0) at mid triangle
         quantity.set_values([2.0, 4.0, 8.0, 2.0],
                             location = 'centroids')
@@ -294,12 +294,12 @@
                                                  [0., 0.,  6.]])
 
-		
+
     def test_second_order_extrapolation2(self):
-        quantity = Conserved_quantity(self.mesh4)        
+        quantity = Conserved_quantity(self.mesh4)
 
         #Set up for a gradient of (3,1), f(x) = 3x+y
         quantity.set_values([2.0+2.0/3, 4.0+4.0/3, 8.0+2.0/3, 2.0+8.0/3],
                             location = 'centroids')
-        
+
         #Gradients
         a, b = quantity.compute_gradients()
@@ -314,8 +314,8 @@
 
         quantity.extrapolate_second_order()
-        
+
         #print quantity.vertex_values
         assert allclose(quantity.vertex_values[1,0], 2.0)
-        assert allclose(quantity.vertex_values[1,1], 6.0)        
+        assert allclose(quantity.vertex_values[1,1], 6.0)
         assert allclose(quantity.vertex_values[1,2], 8.0)
 
@@ -323,5 +323,5 @@
 
     def test_first_order_extrapolator(self):
-        quantity = Conserved_quantity(self.mesh4)                
+        quantity = Conserved_quantity(self.mesh4)
 
         #Test centroids
@@ -338,10 +338,10 @@
 
     def test_second_order_extrapolator(self):
-        quantity = Conserved_quantity(self.mesh4)                        
-
-        #Set up for a gradient of (3,0) at mid triangle 
+        quantity = Conserved_quantity(self.mesh4)
+
+        #Set up for a gradient of (3,0) at mid triangle
         quantity.set_values([2.0, 4.0, 8.0, 2.0],
                             location = 'centroids')
-        
+
 
 
@@ -353,12 +353,12 @@
         assert quantity.vertex_values[1,0] >= quantity.vertex_values[0,0]
         assert quantity.vertex_values[1,0] >= quantity.vertex_values[3,1]
-        
+
         assert quantity.vertex_values[1,1] <= quantity.vertex_values[2,1]
         assert quantity.vertex_values[1,1] >= quantity.vertex_values[0,2]
-        
+
         assert quantity.vertex_values[1,2] <= quantity.vertex_values[2,0]
         assert quantity.vertex_values[1,2] >= quantity.vertex_values[3,1]
 
-        
+
         #Assert that quantities are conserved
         from Numeric import sum
@@ -366,8 +366,8 @@
             assert allclose (quantity.centroid_values[k],
                              sum(quantity.vertex_values[k,:])/3)
-        
-        
-
-        
+
+
+
+
 
     def test_limiter(self):
@@ -384,13 +384,13 @@
         assert quantity.vertex_values[1,0] >= quantity.vertex_values[0,0]
         assert quantity.vertex_values[1,0] <= quantity.vertex_values[3,1]
-        
+
         assert quantity.vertex_values[1,1] <= quantity.vertex_values[2,1]
         assert quantity.vertex_values[1,1] >= quantity.vertex_values[0,2]
-        
+
         assert quantity.vertex_values[1,2] <= quantity.vertex_values[2,0]
         assert quantity.vertex_values[1,2] <= quantity.vertex_values[3,1]
 
 
-        
+
         #Assert that quantities are conserved
         from Numeric import sum
@@ -398,5 +398,5 @@
             assert allclose (quantity.centroid_values[k],
                              sum(quantity.vertex_values[k,:])/3)
-        
+
 
     def test_limiter2(self):
@@ -418,7 +418,7 @@
         quantity.limit()
 
-        
+
         assert allclose(quantity.vertex_values[1,:], [2.2, 4.9, 4.9])
-        
+
 
         #Assert that quantities are conserved
@@ -429,9 +429,9 @@
 
 
-        
+
 
 
     def test_distribute_first_order(self):
-        quantity = Conserved_quantity(self.mesh4)        
+        quantity = Conserved_quantity(self.mesh4)
 
         #Test centroids
@@ -444,5 +444,5 @@
 
         #Interpolate
-        quantity.interpolate_from_vertices_to_edges()        
+        quantity.interpolate_from_vertices_to_edges()
 
         assert allclose(quantity.vertex_values,
@@ -453,5 +453,5 @@
 
     def test_distribute_second_order(self):
-        quantity = Conserved_quantity(self.mesh4)        
+        quantity = Conserved_quantity(self.mesh4)
 
         #Test centroids
@@ -498,5 +498,5 @@
         sem = array([1.,1.,1.,1.])/array([1, 2, 3, 4])
         denom = ones(4, Float)-timestep*sem
-        
+
         x = array([1, 2, 3, 4])/denom
         assert allclose( quantity.centroid_values, x)
@@ -512,10 +512,10 @@
         #Set explicit_update
         quantity.explicit_update = array( [4.,3.,2.,1.] )
-       
+
         #Set semi implicit update
         quantity.semi_implicit_update = array( [1.,1.,1.,1.] )
 
         #Update with given timestep
-        timestep = 0.1        
+        timestep = 0.1
         quantity.update(0.1)
 
@@ -525,10 +525,10 @@
         x = array([1, 2, 3, 4]) + array( [.4,.3,.2,.1] )
         x /= denom
-        assert allclose( quantity.centroid_values, x)        
-
-        
-
-
-    #Test smoothing    
+        assert allclose( quantity.centroid_values, x)
+
+
+
+
+    #Test smoothing
     def test_smoothing(self):
 
@@ -546,17 +546,17 @@
         domain.reduction = mean
 
-        
+
         #Set some field values
-        domain.set_quantity('elevation', lambda x,y: x)        
+        domain.set_quantity('elevation', lambda x,y: x)
         domain.set_quantity('friction', 0.03)
 
 
-        ###################### 
+        ######################
         # Boundary conditions
         B = Transmissive_boundary(domain)
         domain.set_boundary( {'left': B, 'right': B, 'top': B, 'bottom': B})
-        
-
-        ###################### 
+
+
+        ######################
         #Initial condition - with jumps
 
@@ -566,9 +566,9 @@
         h = 0.03
         for i in range(stage.shape[0]):
-            if i % 2 == 0:            
+            if i % 2 == 0:
                 stage[i,:] = bed[i,:] + h
             else:
                 stage[i,:] = bed[i,:]
-                
+
         domain.set_quantity('stage', stage)
 
@@ -579,11 +579,11 @@
         Q = stage.vertex_values
 
-        
-	assert A.shape[0] == 9	
-	assert V.shape[0] == 8	
-	assert V.shape[1] == 3			
-	
-        #First four points 
-        assert allclose(A[0], (Q[0,2] + Q[1,1])/2)  
+
+	assert A.shape[0] == 9
+	assert V.shape[0] == 8
+	assert V.shape[1] == 3
+
+        #First four points
+        assert allclose(A[0], (Q[0,2] + Q[1,1])/2)
         assert allclose(A[1], (Q[1,0] + Q[3,1] + Q[2,2])/3)
         assert allclose(A[2], Q[3,0])
@@ -593,15 +593,15 @@
         assert allclose(A[4], (Q[0,1] + Q[1,2] + Q[2,0] +\
                                Q[5,0] + Q[6,2] + Q[7,1])/6)
-                                 
+
 
         #Check V
         assert allclose(V[0,:], [3,4,0])
         assert allclose(V[1,:], [1,0,4])
-        assert allclose(V[2,:], [4,5,1])                        
+        assert allclose(V[2,:], [4,5,1])
         assert allclose(V[3,:], [2,1,5])
-        assert allclose(V[4,:], [6,7,3])        
+        assert allclose(V[4,:], [6,7,3])
         assert allclose(V[5,:], [4,3,7])
         assert allclose(V[6,:], [7,8,4])
-        assert allclose(V[7,:], [5,4,8])                        
+        assert allclose(V[7,:], [5,4,8])
 
         #Get smoothed stage with XY
@@ -609,5 +609,5 @@
 
         assert allclose(A, A1)
-        assert allclose(V, V1)        
+        assert allclose(V, V1)
 
         #Check XY
@@ -616,5 +616,5 @@
 
         assert allclose(X[7], 1.0)
-        assert allclose(Y[7], 0.5)                 
+        assert allclose(Y[7], 0.5)
 
 
@@ -628,5 +628,5 @@
         from util import mean
 
-        
+
         #Create basic mesh
         points, vertices, boundary = rectangular(2, 2)
@@ -637,11 +637,11 @@
         domain.reduction = mean
 
-        
+
         #Set some field values
-        domain.set_quantity('elevation', lambda x,y: x)        
+        domain.set_quantity('elevation', lambda x,y: x)
         domain.set_quantity('friction', 0.03)
 
 
-        ###################### 
+        ######################
         #Initial condition - with jumps
 
@@ -651,13 +651,13 @@
         h = 0.03
         for i in range(stage.shape[0]):
-            if i % 2 == 0:            
+            if i % 2 == 0:
                 stage[i,:] = bed[i,:] + h
             else:
                 stage[i,:] = bed[i,:]
-                
+
         domain.set_quantity('stage', stage)
 
         #Get stage
-        stage = domain.quantities['stage']        
+        stage = domain.quantities['stage']
         A, V = stage.get_vertex_values(xy=False, smooth=False)
         Q = stage.vertex_values.flat
@@ -666,17 +666,17 @@
             assert allclose(A[k], Q[k])
 
-            
+
         for k in range(8):
             assert V[k, 0] == 3*k
             assert V[k, 1] == 3*k+1
-            assert V[k, 2] == 3*k+2            
-            
+            assert V[k, 2] == 3*k+2
+
 
 
         X, Y, A1, V1 = stage.get_vertex_values(xy=True, smooth=False)
 
-        
+
         assert allclose(A, A1)
-        assert allclose(V, V1)        
+        assert allclose(V, V1)
 
         #Check XY
@@ -686,8 +686,8 @@
         assert allclose(Y[4], 0.0)
         assert allclose(X[12], 1.0)
-        assert allclose(Y[12], 0.0)                
-        
-        
- 
+        assert allclose(Y[12], 0.0)
+
+
+
     def set_array_values_by_index(self):
 
@@ -695,5 +695,5 @@
         from shallow_water import Domain
         from Numeric import zeros, Float
-        
+
         #Create basic mesh
         points, vertices, boundary = rectangular(1, 1)
@@ -701,5 +701,5 @@
         #Create shallow water domain
         domain = Domain(points, vertices, boundary)
-        #print "domain.number_of_elements ",domain.number_of_elements 
+        #print "domain.number_of_elements ",domain.number_of_elements
         quantity = Quantity(domain,[[1,1,1],[2,2,2]])
         value = [7]
@@ -709,5 +709,5 @@
                                            indexes = indexes)
         #print "quantity.centroid_values",quantity.centroid_values
-        
+
         assert allclose(quantity.centroid_values, [1,7])
 
@@ -717,5 +717,5 @@
         quantity.set_array_values([15,20,25], indexes = indexes)
         assert allclose(quantity.centroid_values, [1,20])
-        
+
     def test_setting_some_vertex_values(self):
         """
@@ -725,5 +725,5 @@
         from shallow_water import Domain
         from Numeric import zeros, Float
-        
+
         #Create basic mesh
         points, vertices, boundary = rectangular(1, 3)
@@ -731,5 +731,5 @@
         #Create shallow water domain
         domain = Domain(points, vertices, boundary)
-        #print "domain.number_of_elements ",domain.number_of_elements 
+        #print "domain.number_of_elements ",domain.number_of_elements
         quantity = Quantity(domain,[[1,1,1],[2,2,2],[3,3,3],
                                     [4,4,4],[5,5,5],[6,6,6]])
@@ -741,5 +741,5 @@
         #print "quantity.centroid_values",quantity.centroid_values
         assert allclose(quantity.centroid_values, [1,7,3,4,5,6])
-        
+
         value = [[15,20,25]]
         quantity.set_values(value, indexes = indexes)
@@ -758,5 +758,5 @@
         assert allclose(quantity.centroid_values, [10,100,3,4,5,50])
 
-        
+
         quantity = Quantity(domain,[[1,1,1],[2,2,2],[3,3,3],
                                     [4,4,4],[5,5,5],[6,6,6]])
@@ -764,5 +764,5 @@
         #this will be per unique vertex, indexing the vertices
         #print "quantity.vertex_values",quantity.vertex_values
-        quantity.set_values(values, indexes = [0,1,5]) 
+        quantity.set_values(values, indexes = [0,1,5])
         #print "quantity.vertex_values",quantity.vertex_values
         assert allclose(quantity.vertex_values[0], [1,50,10])
@@ -780,9 +780,9 @@
                                     [4,4,4],[5,5,5],[6,6,6]]
         quantity.set_values(values)
-        
+
         # testing the standard set values by vertex
         # indexed by vertex_id in general_mesh.coordinates
         values = [0,1,2,3,4,5,6,7]
-        
+
         quantity.set_values(values)
         #print "1 quantity.vertex_values",quantity.vertex_values
@@ -793,5 +793,5 @@
                                                 [ 6.,  7.,  2.],
                                                 [ 3.,  2.,  7.]])
-    
+
     def test_setting_unique_vertex_values(self):
         """
@@ -801,5 +801,5 @@
         from shallow_water import Domain
         from Numeric import zeros, Float
-        
+
         #Create basic mesh
         points, vertices, boundary = rectangular(1, 3)
@@ -807,5 +807,5 @@
         #Create shallow water domain
         domain = Domain(points, vertices, boundary)
-        #print "domain.number_of_elements ",domain.number_of_elements 
+        #print "domain.number_of_elements ",domain.number_of_elements
         quantity = Quantity(domain,[[0,0,0],[1,1,1],[2,2,2],[3,3,3],
                                     [4,4,4],[5,5,5]])
@@ -819,6 +819,6 @@
         assert allclose(quantity.vertex_values[1], [7,1,7])
         assert allclose(quantity.vertex_values[2], [7,2,7])
-        
-    
+
+
     def test_get_values(self):
         """
@@ -828,5 +828,5 @@
         from shallow_water import Domain
         from Numeric import zeros, Float
-        
+
         #Create basic mesh
         points, vertices, boundary = rectangular(1, 3)
@@ -838,8 +838,8 @@
         #Create shallow water domain
         domain = Domain(points, vertices, boundary)
-        #print "domain.number_of_elements ",domain.number_of_elements 
+        #print "domain.number_of_elements ",domain.number_of_elements
         quantity = Quantity(domain,[[0,0,0],[1,1,1],[2,2,2],[3,3,3],
                                     [4,4,4],[5,5,5]])
-        
+
         #print "quantity.get_values(location = 'unique vertices')", \
         #      quantity.get_values(location = 'unique vertices')
@@ -848,9 +848,9 @@
         #      quantity.get_values(indexes=[0,1,2,3,4,5,6,7], \
         #                          location = 'unique vertices')
-        
+
         answer = [0.5,2,4,5,0,1,3,4.5]
         assert allclose(answer,
                         quantity.get_values(location = 'unique vertices'))
-        
+
         indexes = [0,5,3]
         answer = [0.5,1,5]
@@ -861,5 +861,5 @@
         #print "quantity.get_values(location = 'centroids') ",\
         #      quantity.get_values(location = 'centroids')
-        
+
     def test_getting_some_vertex_values(self):
         """
@@ -869,5 +869,5 @@
         from shallow_water import Domain
         from Numeric import zeros, Float
-        
+
         #Create basic mesh
         points, vertices, boundary = rectangular(1, 3)
@@ -879,5 +879,5 @@
         #Create shallow water domain
         domain = Domain(points, vertices, boundary)
-        #print "domain.number_of_elements ",domain.number_of_elements 
+        #print "domain.number_of_elements ",domain.number_of_elements
         quantity = Quantity(domain,[[1,1,1],[2,2,2],[3,3,3],
                                     [4,4,4],[5,5,5],[6,6,6]])
@@ -893,5 +893,5 @@
                         quantity.get_values(location = 'centroids'))
 
-        
+
         value = [[15,20,25]]
         quantity.set_values(value, indexes = indexes)
@@ -902,5 +902,5 @@
                         quantity.get_values(location = 'edges'))
 
-        # get a subset of elements 
+        # get a subset of elements
         subset = quantity.get_values(location='centroids', indexes=[0,5])
         answer = [quantity.centroid_values[0],quantity.centroid_values[5]]
@@ -920,13 +920,12 @@
         assert allclose(subset, answer)
 
-        
-        
+
+
 #-------------------------------------------------------------
 if __name__ == "__main__":
-    suite = unittest.makeSuite(TestCase,'test')
+    suite = unittest.makeSuite(Test_Quantity,'test')
     #print "restricted test"
-    #suite = unittest.makeSuite(TestCase,'test_set_vertex_values_subset')
+    #suite = unittest.makeSuite(Test_Quantity,'test_set_vertex_values_subset')
     runner = unittest.TextTestRunner()
     runner.run(suite)
 
-
Index: /inundation/ga/storm_surge/pyvolution/test_region.py
===================================================================
--- /inundation/ga/storm_surge/pyvolution/test_region.py	(revision 1017)
+++ /inundation/ga/storm_surge/pyvolution/test_region.py	(revision 1018)
@@ -12,10 +12,10 @@
 def add_x_y(x, y):
     return x+y
-        
-class TestCase(unittest.TestCase):
+
+class Test_Region(unittest.TestCase):
     def setUp(self):
         pass
 
-        
+
     def tearDown(self):
         pass
@@ -29,8 +29,8 @@
         from shallow_water import Domain
         from Numeric import zeros, Float
-        
+
         #Create basic mesh
         points, vertices, boundary = rectangular(1, 3)
-        
+
         #Create shallow water domain
         domain = Domain(points, vertices, boundary)
@@ -39,5 +39,5 @@
                                                  'all':[0,1,2,3,4,5]})
 
-        
+
         #Set friction
         manning = 0.07
@@ -66,6 +66,6 @@
                          [ 11.0,  11.0,  11.0],
                          [ 11.0,  11.0,  11.0]])
-                         
-        # trying a function                 
+
+        # trying a function
         domain.set_region(Set_region('top', 'friction', add_x_y))
         #print domain.quantities['friction'].get_values()
@@ -77,5 +77,5 @@
                          [ 5./3,  2.0,  2./3],
                          [ 1.0,  2./3,  2.0]])
-                         
+
         domain.set_quantity('elevation', 10.0)
         domain.set_quantity('stage', 10.0)
@@ -89,5 +89,5 @@
                          [ 11.0,  11.0,  11.0],
                          [ 11.0,  11.0,  11.0]])
-    
+
     def test_unique_vertices(self):
         """
@@ -97,8 +97,8 @@
         from shallow_water import Domain
         from Numeric import zeros, Float
-        
+
         #Create basic mesh
         points, vertices, boundary = rectangular(1, 3)
-        
+
         #Create shallow water domain
         domain = Domain(points, vertices, boundary)
@@ -106,5 +106,5 @@
                                                  'top':[4,5],
                                                  'all':[0,1,2,3,4,5]})
-      
+
         #Set friction
         manning = 0.07
@@ -122,5 +122,5 @@
                          [ 0.07,  0.07,  0.07]])
 
-        
+
     def test_unique_verticesII(self):
         """
@@ -130,8 +130,8 @@
         from shallow_water import Domain
         from Numeric import zeros, Float
-        
+
         #Create basic mesh
         points, vertices, boundary = rectangular(1, 3)
-        
+
         #Create shallow water domain
         domain = Domain(points, vertices, boundary)
@@ -139,5 +139,5 @@
                                                  'top':[4,5],
                                                  'all':[0,1,2,3,4,5]})
-      
+
         #Set friction
         manning = 0.07
@@ -145,5 +145,5 @@
 
         domain.set_region(Add_value_to_region('bottom', 'friction', 1.0,initial_quantity='friction', location = 'unique vertices'))
-        
+
         #print domain.quantities['friction'].get_values()
         assert allclose(domain.quantities['friction'].get_values(),\
@@ -156,5 +156,5 @@
 #-------------------------------------------------------------
 if __name__ == "__main__":
-    suite = unittest.makeSuite(TestCase,'test')
+    suite = unittest.makeSuite(Test_Region,'test')
     runner = unittest.TextTestRunner()
     runner.run(suite)
Index: /inundation/ga/storm_surge/pyvolution/test_sparse.py
===================================================================
--- /inundation/ga/storm_surge/pyvolution/test_sparse.py	(revision 1017)
+++ /inundation/ga/storm_surge/pyvolution/test_sparse.py	(revision 1018)
@@ -5,11 +5,11 @@
 
 from sparse import *
-from Numeric import allclose, array, transpose, Float 
-        
-class TestCase(unittest.TestCase):
+from Numeric import allclose, array, transpose, Float
+
+class Test_Sparse(unittest.TestCase):
 
     def setUp(self):
         pass
-        
+
     def tearDown(self):
         pass
@@ -17,5 +17,5 @@
     def test_init1(Self):
         """Test initialisation from dimensions
-        """        
+        """
         A = Sparse(3,3)
         A[1,1] = 4
@@ -26,10 +26,10 @@
                     assert A[i,j] == 4.0
                 else:
-                    assert A[i,j] == 0.0                    
-                    
+                    assert A[i,j] == 0.0
+
     def test_init2(Self):
         """Test initialisation from dense matrix
         """
-        
+
         A = Sparse(4,3)
         A[1,1] = 4
@@ -37,17 +37,17 @@
         A[0,1] = 13
         A[0,2] = -6
-        A[2,2] = 1                        
+        A[2,2] = 1
 
         B = A.todense()
 
         C = Sparse(B)
-        
+
         assert allclose(C.todense(), B)
 
-                    
+
     def test_dense(self):
         A = Sparse(4,3)
-        A[1,1] = 4        
-                     
+        A[1,1] = 4
+
         assert allclose(A.todense(), [[0,0,0], [0,4,0], [0,0,0], [0,0,0]])
 
@@ -59,5 +59,5 @@
 
         A = Sparse(3,3)
-        A[1,1] = 4        
+        A[1,1] = 4
         A[1,1] = 0
 
@@ -68,9 +68,9 @@
         A[1,2] = 0
         assert len(A) == 0
-        assert allclose(A.todense(), [[0,0,0], [0,0,0], [0,0,0]])        
+        assert allclose(A.todense(), [[0,0,0], [0,0,0], [0,0,0]])
 
     def test_sparse_multiplication_vector(self):
         A = Sparse(3,3)
-        
+
         A[0,0] = 3
         A[1,1] = 2
@@ -91,10 +91,10 @@
 
         u = A*v[:,1]
-        assert allclose(u, [12,16,4])        
+        assert allclose(u, [12,16,4])
 
 
     def test_sparse_multiplication_matrix(self):
         A = Sparse(3,3)
-        
+
         A[0,0] = 3
         A[1,1] = 2
@@ -106,11 +106,11 @@
 
         u = A*v
-        assert allclose(u, [[6,12], [14,16], [4,4]])  
-
-
-
-    def test_sparse_transpose_multiplication(self):        
-        A = Sparse(3,3)
-        
+        assert allclose(u, [[6,12], [14,16], [4,4]])
+
+
+
+    def test_sparse_transpose_multiplication(self):
+        A = Sparse(3,3)
+
         A[0,0] = 3
         A[1,1] = 2
@@ -128,5 +128,5 @@
         """Test method __rmul__
         """
-        
+
         A = Sparse(3,3)
 
@@ -140,5 +140,5 @@
 
         B = A*3
-        assert allclose(B.todense(), 3*A.todense())        
+        assert allclose(B.todense(), 3*A.todense())
 
         try:
@@ -152,5 +152,5 @@
         """ Test sparse addition with dok format
         """
-        
+
         A = Sparse(3,3)
 
@@ -171,5 +171,5 @@
         """ Test conversion to csr format
         """
-        
+
         A = Sparse(4,3)
 
@@ -181,5 +181,5 @@
         A[2,0] = 5
 
-        #print ' ' 
+        #print ' '
         #print A.todense()
 
@@ -197,11 +197,10 @@
 
         assert allclose(B*C2, [[15.0, 30.0],[10.0, 20.0],[8.0, 16.0],[0.0, 0.0]])
-        
+
 
 
 #-------------------------------------------------------------
 if __name__ == "__main__":
-    suite = unittest.makeSuite(TestCase, 'test')
+    suite = unittest.makeSuite(Test_Sparse, 'test')
     runner = unittest.TextTestRunner()
     runner.run(suite)
-
